class DelayedJobsHelpers
  class << self
    def kill_delayed_jobs(delayed_job_ids)
      delayed_jobs = Delayed::Job.where(id: delayed_job_ids)
      delayed_jobs.each do |delayed_job|
        locked_by = delayed_job[:locked_by]
        delayed_job.destroy!
        next if locked_by.nil?
        match = locked_by.match(/.*pid:(.*)/)
        next if match.nil?
        pid = match.captures[0]
        RxModule.force_kill_process(pid)
      end
    end
  end
end