# == Schema Information
#
# Table name: consumable_records
#
#  id                :bigint           not null, primary key
#  current_use_count :integer
#  first_use_date    :datetime
#  last_use_date     :datetime
#  max_use_count     :integer
#  name              :string
#  retired           :boolean
#  machine_id        :bigint
#
# Indexes
#
#  index_consumable_records_on_machine_id  (machine_id)
#
# Foreign Keys
#
#  fk_rails_...  (machine_id => machines.id)
#
class ConsumableRecord < ApplicationRecord
  has_many :consumable_record_data, autosave: true
end
