# -*- SkipSchemaAnnotations

module MachineTypes
  module Deblockers
    class ArtDeblockerA2 < Deblocker
      include ErrorFilterMachineTypes::ArtDeblocker2

      class << self
        def display_name
          "ART-Deblocker-2"
        end

        def name
          "art_deblocker_a_2"
        end

        def image_name
          'art_deblocker_a2.png'
        end

        def error_filters
          error_filters_data
        end

        def energy_consumptions
          {
            processing: 2.73,
            waitingforjobs: 1.05,
            error: 0.37,
            ready: 0.89,
            notready: 0.39,
            setup: 0.90,
            on: 0.89,
            maintenance: 0.89,
            halt: 0.37,
            estop: 0.37,
            off: 0,
            total_off: 0.01
          }
        end
      end
    end
  end
end

