import * as React from "react";
import {observer} from "mobx-react-lite";
import {ModelInput} from "@rx-suite/ui";
import {MachineTypeSelect} from "./form_inputs/MachineTypeSelect";
import {MachineProcessSelect} from "./form_inputs/MachineProcessSelect";
import {MachineGroupSelect} from "./form_inputs/MachineGroupSelect";

export const MachineGeneralSettingsTab: React.FunctionComponent = observer(() => {
    return (
        <React.Fragment>
            <div>
                <ModelInput name={"name"} />
                <MachineTypeSelect/>
                <MachineGroupSelect/>
                <MachineProcessSelect/>
            </div>
        </React.Fragment>
    );
});
