class AddErrorJob < ApplicationJob
  queue_as :default

  #TODO: DEPRECATE DELETE 2025

  ## WARNING DEPRECATED 2024/08/01 XBA
  # THIS FILE IS ONLY KEPT SO THAT EXISTING JOBS CAN BE SAFELY MIGRATED TO NEWER VERSIONS
  # INSTEAD USE MachineInterfaceJobs::AddErrorJob
  # !! THIS FILE WILL BE DELETED IN AN UPCOMING VERSION 2025 !!

  def perform(model_params)
    ActiveRecord::Base.connection_pool.with_connection do
      machine = Machine.find_or_create_by(sn: model_params[:machine_sn])
      model = Error.new(model_params)
      if model.save # Associate a filter if any applies
        model.broadcast_machine_data(machine, async: false) # broadcast to other Rx-Modules
        model.forward # forward data to other external systems

        KpiMachineErrorJob.perform_later(model)
      end
    end
  end
end
