class AddJobProcessJob < ApplicationJob
  queue_as :default

  #TODO: DEPRECATE DELETE 2025

  ## WARNING DEPRECATED 2024/08/01 XBA
  # THIS FILE IS ONLY KEPT SO THAT EXISTING JOBS CAN BE SAFELY MIGRATED TO NEWER VERSIONS
  # INSTEAD USE MachineInterfaceJobs::AddJobProcessJob
  # !! THIS FILE WILL BE DELETED IN AN UPCOMING VERSION 2025 !!

  def perform(add_params, job_process_params)
    ActiveRecord::Base.connection_pool.with_connection do
      model = JobProcess.create(add_params)
      model.job_process_parameters.build(job_process_params)

      if model.save
        machine = Machine.find_by(id: model.machine_id)
        model.broadcast_machine_data(machine, async: false) # broadcast to other Rx-Modules
        model.forward # forward data to other external systems

        AddBoxCoaterBatchFromProcessJob.perform_later(model) if model.is_box_coater_event?
      end
    end
  end
end
