class AddMachineStateJob < ApplicationJob
  queue_as :high_priority

  #TODO: DEPRECATE DELETE 2025

  ## WARNING DEPRECATED 2024/08/01 XBA
  # THIS FILE IS ONLY KEPT SO THAT EXISTING JOBS CAN BE SAFELY MIGRATED TO NEWER VERSIONS
  # INSTEAD USE MachineInterfaceJobs::AddMachineStateJob
  # !! THIS FILE WILL BE DELETED IN AN UPCOMING VERSION 2025 !!

  def perform(model_params)
    ActiveRecord::Base.connection_pool.with_connection do
      machine = Machine.find_or_create_by(sn: model_params[:machine_sn])
      model = MachineState.new(model_params)

      if model.save
        model.broadcast_machine_data(machine) # broadcast to other Rx-Modules
        model.forward # forward data to other external systems

        KpiMachineStateJob.perform_later(model)
        AddBoxCoaterEventJob.perform_later(model) if model.is_box_coater_event?
      end
    end
  end
end
