module MachineInterfaceJobs
  module EventInterface
    class AddEventJob < MachineInterfaceJobs::Base::MachineInterfaceJob
      queue_as :default

      # Resolver for /connector/satisloh/event/1.0/add

      def build_model(add_params)
        event = Event.new({
                            machine_sn: @machine.sn,
                            time: add_params[:time],
                            message: add_params[:event][:message],
                            event_type: add_params[:event][:event_type]
                          })
        event.event_data.build(add_params[:event_data])

        event
      end
    end
  end
end

