module MachineInterfaceJobs
  module MaintenanceInterface
    class AddMaintenanceJob < MachineInterfaceJobs::Base::MachineInterfaceJob
      queue_as :default

      # Resolver for /connector/satisloh/maintenance/1.0/add

      def build_model(add_params)
        Maintenance.new({
                          machine_sn: @machine.sn,
                          time: add_params[:time],
                          maintenance: add_params[:maintenance][:maintenance],
                          maintenance_type: add_params[:maintenance][:maintenance_type],
                          status: add_params[:maintenance][:status]
                        })
      end
    end
  end
end
