module MachineTypes
  module Polishers
    class Polisher <MachineTypeTemplate
      class << self
        def seed_all
          MultiFlex::seed
          MultiFlex2::seed
          MultiFlex2e::seed
          ToroFlex::seed
          DuoFlex::seed
        end

        def category
          'polisher'
        end

        def machine_process
          MachineProcess.find_by(code: 'polishing')
        end
      end
    end
  end
end